#
# spec file for package gsoap
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gsoap
%define lname	libgsoap-2_8-0
Summary:        Toolkit for C/C++ server and client web service applications
License:        SUSE-GPL-2.0+-with-openssl-exception
Group:          Development/Libraries/C and C++
Version:        2.8.10
Release:        0
Url:            http://gsoap2.sf.net/

#DL-URL:	http://downloads.sf.net/gsoap2/gsoap_2.8.10.zip
Source:         gsoap-%version.tar.xz
Source2:        sanitize_source.sh
Patch1:         gsoap-01-sharedlibs.diff
Patch2:         gsoap-02-typepuns.diff
Patch3:         gsoap-03-initext.diff
Patch4:         gsoap-04-strerror.diff
Patch5:         gsoap-05-ipv6.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig
%if 0%{?suse_version} >= 1130
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libssl)
%endif
%if 0%{?suse_version} > 0 && 0%{?suse_version} < 1130
BuildRequires:  libgnutls-devel
BuildRequires:  libopenssl-devel
%endif
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif
%if 0%{?fedora_version} > 0
BuildRequires:  gnutls-devel
BuildRequires:  openssl-devel
%endif
%if 0%{?suse_version} >= 1140
BuildRequires:  pkgconfig(zlib)
%else
BuildRequires:  zlib-devel
%endif
BuildRequires:  xz

%description
The gSOAP toolkit provides a cross-platform software development
toolkit for C and C++ server and client Web service applications, and
simplifies the overall use of XML in any type of application. The
toolkit supports SOAP 1.1/1.2 RPC encoding and document/literal
styles, WSDL 1.1, MTOM/MIME/DIME attachments (streaming),
SOAP-over-UDP, request-response and one-way messaging. The toolkit
also supports WS-Addressing and WS-Security, with several other WS-*
available or under development.

%package devel
Summary:        Development files for the gSOAP toolkit
Group:          Development/Libraries/C and C++

%description devel
This package contains the runtime development programs for gSOAP.

%package -n %lname
Summary:        Runtime libraries for gSOAP
Group:          Development/Libraries/C and C++

%description -n %lname
The gSOAP toolkit provides a cross-platform software development
toolkit for C and C++ server and client Web service applications, and
simplifies the overall use of XML in any type of application. The
toolkit supports SOAP 1.1/1.2 RPC encoding and document/literal
styles, WSDL 1.1, MTOM/MIME/DIME attachments (streaming),
SOAP-over-UDP, request-response and one-way messaging. The toolkit
also supports WS-Addressing and WS-Security, with several other WS-*
available or under development.

%package -n libgsoap-devel
Summary:        Development files for libgsoap
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description -n libgsoap-devel
This package contains the include headers and development library
symlinks for libgsoap.

%prep
%if 0%{?__xz:1}
%setup -qn gsoap-%version
%else
tar -xf "%{S:0}" --use=xz;
%setup -DTq
%endif
%patch -P 1 -P 2 -P 3 -P 4 -P 5 -p1

%build
# Rebuild configure - fix that utterly long mktime test.
autoreconf -fi;

%configure --enable-ipv6 --disable-static CFLAGS="-O0 -ggdb3 -DWITH_NO_IPV6_V6ONLY" CXXFLAGS="-O0 -ggdb3 -DWITH_NO_IPV6_V6ONLY"
pushd gsoap/src/;
make soapcpp2_yacc.c;
popd;
make %{?_smp_mflags};

%install
b="%buildroot";
make install DESTDIR="$b";
rm -f "$b/%_libdir"/*.la;
%if 0%{?fdupes:1}
%fdupes %buildroot
%endif

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files devel
%defattr(-,root,root)
%_bindir/*
%_datadir/%name

%files -n %lname
%defattr(-,root,root)
%_libdir/*-2.8.so.*

%files -n libgsoap-devel
%defattr(-,root,root)
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%changelog
