#!/bin/sh -x
#
# Shrink the gsoap archive from 18 MB -> 7 MB.
#
# Requires: fdupes hxtools

if ! which fdupes >/dev/null; then
	echo "fdupes not installed.";
	exit 1;
fi;
if ! which fduphl >/dev/null; then
	echo "hxtools:fduphl not installed.";
	exit 1;
fi;

version="2.8.10";
shortver="2.8"; # agh...

rm -Rf "gsoap-$shortver" "gsoap-$version";
unzip "gsoap_$version.zip";

# Someone failed at sane version number tagging.
mv "gsoap-$shortver" "gsoap-$version";

# Remove executables, backups.
rm -Rf "gsoap-$version/gsoap/bin" \
	"gsoap-$version/samples/link++/xmas" \
	"gsoap-$version"/*.old \
	"gsoap-$version/autom4te.cache";
find "gsoap-$version" -type f "(" \
	-iname "*.exe" -o -iname "*.dll" -o -name "*.o" -o \
	-name "*~" ")" -delete;
fduphl "gsoap-$version";
echo Now...
find "gsoap-$version" -print0 | sort -z | \
	tar -T- --null --owner=root --group=root --no-recur --use=xz \
	-cvf "gsoap-$version.tar.xz";
